
%global meadversion 9.24.4
%global namedversion 9.24.4.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package nimbus-jose-jwt}
%{!?scl:%global pkg_name %{name}}

%define maven_version 9.24.4.redhat-00001

Name:           %{?scl_prefix}nimbus-jose-jwt
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Nimbus JOSE+JWT
Group:          Development/Java

%if %with mead
Source100: nimbus-jose-jwt-9.24.4.redhat-00001-project-sources.tar.gz
Source102: nimbus-jose-jwt-9.24.4.redhat-00001-sources.jar
Source103: nimbus-jose-jwt-9.24.4.redhat-00001.pom
Source104: nimbus-jose-jwt-9.24.4.redhat-00001.jar
Source105: nimbus-jose-jwt-9.24.4.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            https://projects.eclipse.org/projects/ee4j.jta
BuildArch:      noarch
BuildRoot:      %{_tmppath}/nimbus-jose-jwt-%{namedversion}-%{release}-root

%description
Java library for Javascript Object Signing and Encryption (JOSE) and JSON Web Tokens (JWT).

%if %with javadoc
%package javadoc
Summary:        Javadoc for nimbus-jose-jwt
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n nimbus-jose-jwt-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/nimbus-jose-jwt-%{namedversion}.jar %{buildroot}%{_javadir}/nimbus-jose-jwt-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/nimbus-jose-jwt-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/nimbus-jose-jwt-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/nimbus-jose-jwt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/nimbus-jose-jwt-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/nimbus-jose-jwt-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/nimbus-jose-jwt-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/nimbus-jose-jwt-%{namedversion} -x META-INF/\*
%{__ln_s} nimbus-jose-jwt-%{namedversion} %{buildroot}%{_javadocdir}/nimbus-jose-jwt
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}nimbus-jose-jwt
%defattr(0644,root,root,0755)
%doc CHANGELOG.txt COPYRIGHT.txt LICENSE.txt README.md
%{_javadir}/nimbus-jose-jwt-%{namedversion}.jar
%{_javadir}/nimbus-jose-jwt.jar
%if %with javadoc
%{_javadir}/nimbus-jose-jwt-%{namedversion}-javadoc.jar
%{_javadir}/nimbus-jose-jwt-javadoc.jar
%endif
%{_javadir}/nimbus-jose-jwt-%{namedversion}-sources.jar
%{_javadir}/nimbus-jose-jwt-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/nimbus-jose-jwt-%{namedversion}
%{_javadocdir}/nimbus-jose-jwt
%endif

%changelog
* Mon Apr 24 2023 cpaas-ops <cpaas-ops@redhat.com> - 9.24.4-1.redhat_00001.1
- Built by CPaaS

* Sat Oct 08 2022 Yong Yang <yyang@redhat.com> - 9.23.0-1.redhat_00002.1
- 9.23.0.redhat-00002
